Bug 98389 - [Patch] databases/mrtg-mysql-load
Summary: [Patch] databases/mrtg-mysql-load
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-02 19:50 UTC by Thomas Abthorpe
Modified: 2006-06-03 14:48 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Abthorpe 2006-06-02 19:50:15 UTC
Assume maintainership of port, and update the Makefile to include USE_MYSQL=yes, in lieu of hardwiring to databases/mysql40-client. Makes the port a little more robust in nature.

Fix: cvs diff -uN Makefile


PORTNAME=      mrtg-mysql-load
 PORTVERSION=   1.02
+PORTREVISION=  1
 CATEGORIES=    databases net-mgmt
 MASTER_SITES=  http://www.bitbybit.dk/mysql/mrtg-mysql-load/ \
                http://freebsd.unixfreunde.de/sources/

-MAINTAINER=    ports@FreeBSD.org
+MAINTAINER=    thomas@goodking.ca
 COMMENT=       A MySQL load analysis fetcher for MRTG

-RUN_DEPENDS=   mrtg:${PORTSDIR}/net-mgmt/mrtg \
-               mysqladmin:${PORTSDIR}/databases/mysql40-client
+RUN_DEPENDS=   mrtg:${PORTSDIR}/net-mgmt/mrtg

 NO_BUILD=      yes
 NO_WRKSUBDIR=  yes
 USE_PERL5_RUN= yes
+USE_MYSQL=     yes

 MAN1=          ${PORTNAME}.1--OyACvfm5Uljlbb7pSP2ST6hwJUsEyVbPh3Azhsapb0eTUYo0
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/databases/mrtg-mysql-load/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- Makefile    27 May 2006 01:30:15 -0000      1.4
+++ Makefile    2 Jun 2006 18:43:09 -0000
@@ -7,19 +7,20 @@
Comment 1 Cheng-Lung Sung freebsd_committer 2006-06-03 02:02:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Take.
Comment 2 Cheng-Lung Sung freebsd_committer 2006-06-03 14:48:32 UTC
State Changed
From-To: open->closed

Committed. Thank You.